package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@ApiModel
public class DrpSupplierMaterialIntoAndOutPageVO {
   @ApiModelProperty("单据号")
   private String drpOrderId;
   @ApiModelProperty("单据类型(1入库，2出库)")
   private Integer drpOrderType;
   @ApiModelProperty("所属区域id")
   private Long areaId;
   @ApiModelProperty("所属区域")
   private String areaName;
   @ApiModelProperty("货品仓库id")
   private Long warehouseId;
   @ApiModelProperty("货品仓库")
   private String warehouseName;
   @ApiModelProperty("总金额")
   private Long totalAmount;
   @ApiModelProperty("总数量")
   private BigDecimal totalNum;
   @ApiModelProperty("单据时间")
   private LocalDateTime drpOrderTime;
   @ApiModelProperty("制表人")
   private String crby;
   @ApiModelProperty("制表时间")
   private LocalDateTime crtime;

   public String getDrpOrderId() {
      return this.drpOrderId;
   }

   public Integer getDrpOrderType() {
      return this.drpOrderType;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public String getWarehouseName() {
      return this.warehouseName;
   }

   public Long getTotalAmount() {
      return this.totalAmount;
   }

   public BigDecimal getTotalNum() {
      return this.totalNum;
   }

   public LocalDateTime getDrpOrderTime() {
      return this.drpOrderTime;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public void setDrpOrderId(final String drpOrderId) {
      this.drpOrderId = drpOrderId;
   }

   public void setDrpOrderType(final Integer drpOrderType) {
      this.drpOrderType = drpOrderType;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setWarehouseName(final String warehouseName) {
      this.warehouseName = warehouseName;
   }

   public void setTotalAmount(final Long totalAmount) {
      this.totalAmount = totalAmount;
   }

   public void setTotalNum(final BigDecimal totalNum) {
      this.totalNum = totalNum;
   }

   public void setDrpOrderTime(final LocalDateTime drpOrderTime) {
      this.drpOrderTime = drpOrderTime;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public String toString() {
      String var10000 = this.getDrpOrderId();
      return "DrpSupplierMaterialIntoAndOutPageVO(drpOrderId=" + var10000 + ", drpOrderType=" + this.getDrpOrderType() + ", areaId=" + this.getAreaId() + ", areaName=" + this.getAreaName() + ", warehouseId=" + this.getWarehouseId() + ", warehouseName=" + this.getWarehouseName() + ", totalAmount=" + this.getTotalAmount() + ", totalNum=" + String.valueOf(this.getTotalNum()) + ", drpOrderTime=" + String.valueOf(this.getDrpOrderTime()) + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ")";
   }
}
